<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3> <strong>Edit Vehicle Category </strong> </h3>
      </div>
      <div class="ibox-content">
        <form [formGroup]="editForm" autocomplete="off" (ngSubmit)="updateVehicleCategory()" class="form-horizontal">
          <div class="form-group">
            <label class="col-sm-2 control-label">Message <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Short description" formControlName="message" maxlength="500"
                class="form-control" required maxlength="500">
              <div class="error-msg"
                *ngIf="editForm.controls['message'].invalid && (editForm.controls['message'].dirty || editForm.controls['message'].touched)">
                <div *ngIf="editForm.controls['message'].errors.required">
                  Message is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Categories</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="Category" formControlName="category_id" multiple>
                <mat-option *ngFor="let category of CategoryData" [value]="category._id">{{ category.name }}
                </mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="submit">Save changes</button>
              <button class="btn btn-white" type="button"
                [routerLink]="['/admin/fleet/vehicle-category-messages']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>